<main>
    <section id="event-list">
        <div class="search-bar-container">
            <app-search-bar (searchChanged)="onSearchChange($event)"></app-search-bar>
        </div>
        <div class="list-container">
            <div class="filter-container">
                <div class="city-container">
                    <select id="city-select" [(ngModel)]="selectedCity" (change)="applyCityFilter(selectedCity)">
                        <option value="">Villes</option>
                        <option *ngFor="let ville of villes" [ngValue]="ville">{{ ville }}</option>
                    </select>
                </div>
                <div class="date-container">
                    <input id="date" type="date" [(ngModel)]="selectedDate" (change)="applyDateFilter(selectedDate)"/>
                </div>
                <div class="category-container">
                    <div *ngFor="let category of categories; let i = index"> 
                        <app-button *ngIf="showAllCategories || i < 3" 
                            [buttonText]="category" 
                            [buttonStyle]="selectedCategory === category ? 'red' : 'white'"
                            (click)="applyCategoryFilter(category)">
                        </app-button>
                    </div>
                    <button *ngIf="!showAllCategories" (click)="toggleShowAllCategories()" class="btn">+</button>
                    <button *ngIf="showAllCategories" (click)="toggleShowAllCategories()" class="btn">-</button>
                </div>
            </div>
            <div class="cards-container">
                <app-list-activities 
                    [searchTerms]="searchTerms" 
                    [selectedCategoryFilter]="selectedCategory" 
                    [selectedCityFilter]="selectedCity" 
                    [selectedDateFilter]="selectedDate">
                </app-list-activities>
            </div>
        </div>
    </section>
    <section id="event-map">
        <app-map  
            [searchTerms]="searchTerms" 
            [selectedCategoryFilter]="selectedCategory" 
            [selectedCityFilter]="selectedCity" 
            [selectedDateFilter]="selectedDate">
        </app-map>
    </section>
</main>

